Download it now!
Bug 62624 - Make the insertion of spacer text conditional on the existence of the associated item in a Bibliography Index/Table item
Summary: Make the insertion of spacer text conditional on the existence of the associa...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: x86 (IA32) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Bibliography
  Show dependency treegraph
 
Reported: 2013-03-22 07:19 UTC by John Talbut
Modified: 2019-05-19 16:45 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Document with examples of the problem (26.61 KB, application/vnd.oasis.opendocument.text)
2014-12-09 15:59 UTC, John Talbut
Details
Updated example (17.90 KB, application/vnd.oasis.opendocument.text)
2019-05-19 16:42 UTC, John Talbut
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Talbut 2013-03-22 07:19:30 UTC
For example, in the entry:

Chapman, J. (1988) Tell me who you are, Hanslope: J. and E. Chapman in association with SPA ISBN: 978-1854210265 Available from: http://www.enlightenment-intensives.info/storage/TellMeWhoYouArepart1.pdf [Accessed: 14th August 2012]

It should be possible for "ISBN", "Available from:" "[Accessed: " and "]" to be entered as spacers in the structure line of the Insert Index/Table dialogue but only appear if the associated field is not blank.  E.g. the above item if it did not have a URL should appear as:

Chapman, J. (1988) Tell me who you are, Hanslope: J. and E. Chapman in association with SPA ISBN: 978-1854210265

and not:

Chapman, J. (1988) Tell me who you are, Hanslope: J. and E. Chapman in association with SPA ISBN: 978-1854210265 Available from: [Accessed: ]
Comment 1 A (Andy) 2013-12-27 14:39:12 UTC
Could you please give more information about the different single steps how to reproduce this issue, because I am not yet sure how to reproduce it. Thanks.
Comment 2 QA Administrators 2014-07-08 17:29:29 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2014-08-04 16:15:30 UTC Comment hidden (obsolete)
Comment 4 John Talbut 2014-12-09 15:59:47 UTC
Created attachment 110636 [details]
Document with examples of the problem
Comment 5 John Talbut 2014-12-09 16:13:04 UTC
a) LibreOffice 4.3.3.2 from Debian testing distribution.

b) etc.  See attached Document with examples of the problem.  Four books are referenced in this document, each having an ISBN, a URL reference, neither or both.  The bibliography comes out as:

Chapman, J. (1988), Tell me who you are. Hanslope: J. and E. Chapman in association with SPA, ISBN: 9781854210265 Available from: http://www.enlightenment-intensives.info/storage/TellMeWhoYouArepart1.pdf [Accessed: 14th August 2012]

Darwin, C. (1872), The expression of the emotions in man and animals. London: John Murray, ISBN:  Available from: http://darwin-online.org.uk/content/frameset?itemID=F1142&viewtype=text&pageseq=1 [Accessed: 9th December 2014]

Dickson, A. (2012), A Woman in Your Own Right. London: Quartet books, ISBN: 9780704372696 Available from:  [Accessed: ]

Williams, B. (1985), Leopard Change your Spots. London: B. Williams, ISBN:  Available from:  [Accessed: ]

The enhancement I am requesting would make the spacer text ("ISBN", "Available from:" "[Accessed: " and "]") conditional on the relevant field containing data.  The result in the above example would be:

Chapman, J. (1988), Tell me who you are. Hanslope: J. and E. Chapman in association with SPA, ISBN: 9781854210265 Available from: http://www.enlightenment-intensives.info/storage/TellMeWhoYouArepart1.pdf [Accessed: 14th August 2012]

Darwin, C. (1872), The expression of the emotions in man and animals. London: John Murray, Available from: http://darwin-online.org.uk/content/frameset?itemID=F1142&viewtype=text&pageseq=1 [Accessed: 9th December 2014]

Dickson, A. (2012), A Woman in Your Own Right. London: Quartet books, ISBN: 9780704372696

Williams, B. (1985), Leopard Change your Spots. London: B. Williams
Comment 6 Robinson Tryon (qubit) 2014-12-21 20:38:39 UTC
TESTING with LO 4.4.0.1 + Ubuntu 14.04

(In reply to John Talbut from comment #5)

REPRO 
> See attached Document with examples of the problem. 

Open attachment 110636 [details].

> Four books are
> referenced in this document, each having an ISBN, a URL reference, neither
> or both.

Example entry: 
> Dickson, A. (2012), A Woman in Your Own Right. London: Quartet books, ISBN:
> 9780704372696 Available from:  [Accessed: ]

To see the data stored in the entry, 
1) Right-click on the field "[Dickson, A. (2012)]"
2) Navigate: Bibliography Entry -> Edit

CONFIRMED: Even when data is not available for a given field, the "spacer text" or perhaps "Field labels" are still included in the output in the Bibliography, and it doesn't look professional.

I think this is more than an enhancement request. I'm going to bump it up to a low-level bug, as this negatively impacts the quality of displayed bibliographic data.

Status -> NEW
Comment 7 QA Administrators 2016-01-17 20:03:20 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.4 or later)  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT:

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-01-17
Comment 8 QA Administrators 2019-05-14 02:54:59 UTC Comment hidden (obsolete)
Comment 9 John Talbut 2019-05-19 16:42:54 UTC
Created attachment 151518 [details]
Updated example
Comment 10 John Talbut 2019-05-19 16:45:21 UTC
Bug is still present in LibreOffice 6.1.5.2 from Debian Testing.